import { csv } from 'd3';

let dataArray=[];
csv('https://vizhub.com/curran/datasets/world-population-by-year-2015.csv')
	.then( data => {
  	data.forEach(d => {
      d.year = new Date(d.year);
  		d.population = +d.population;
  	});
  dataArray=data;
});

export const getData = () => new Promise(resolve => {
  setTimeout(() => resolve(dataArray), 2000);
});

